// main: ./main.less, out: ../style.css, compress: false

/* ====================================================================================================================================
UTILITY CLASSES
======================================================================================================================================*/
// :hover {
//     outline: 1px solid red;
// }

// transform
.u-transform (@handler) {
    transform        : @handler;
    -webkit-transform: @handler;
}
.u-transform-origin (@origin) {
    transform-origin        : @origin;
    -webkit-transform-origin: @origin;
  }
// horizontal center
.u-horizontal-center (@mleft) {
    left       : 50%;
    margin-left: @mleft;
}
// border radius
.u-border-radius (@radius) {
    border-radius        : @radius;
    -webkit-border-radius: @radius;
}

// shadow
.u-shadow (@shadow-h: 0, @shadow-v: 0, @shadow-b: 10px, @shadow-s: 0, @shadow-col: fade(@vr__col-1, 30%)) {
    box-shadow        : @shadow-h @shadow-v @shadow-b @shadow-s @shadow-col;
    -webkit-box-shadow: @shadow-h @shadow-v @shadow-b @shadow-s @shadow-col;
}

// clearfix
.u-clearfix {
    &:after {
        content: '';
        display: block;
        float  : none;
        clear  : both;
    }
}

// border-box
.u-border-box {
    box-sizing        : border-box;
    -moz-box-sizing   : border-box;
    -webkit-box-sizing: border-box;
}

.u-after-el {
    content: '';
    display: block;
    position: absolute;
}


// visibility hidden
.u-visibility-hidden {
    display   : none !important;
    visibility: hidden;
}


// center text
.u-txt-center  {    
    text-align: center;   
}

.u-display-flex {
    display: flex;
}

.u-reset-appearance {
    appearance: none!important;
    -webkit-appearance: none!important;
    -moz-appearance: none!important;
    border: none!important;
    -webkit-border: none!important;
    -moz-border: none!important;
    background-color: transparent!important;
    min-height: inherit!important;
}


.scroll-content {
    height: 100%;
}
.scrollbar-thumb {
    width: 4px!important;
    background-color: @vr__col-1!important;
    border-radius: 0!important;
}

.scrollbar-track-y {
    width: 4px!important;    
}


// PULSANTI
.o-btn {
    position: relative;
    display: inline-block;    
    min-height: 28px;
    line-height: 29px;
    padding: 0;
    z-index: 1;
    margin: 4px 0 4px -2px;
    font-family: 'AkkuratBold';
    input, button {
    .u-reset-appearance;
        padding: 0;
    }
    &:before {
        display: block;
        position: absolute;
        content: '';
        bottom: 8px;
        width: 22px;
        height: 12px;
        background-repeat: no-repeat;
        background-size: contain;
        background-position: center;
        .trans;
        .u-transform(translateX(0));        
    }
    &:after {
        display: block;
        position: absolute;
        content: '';
        bottom: 0;
        left: -5%;
        right: -5%;
        width: 110%;
        height: 0;
        background-color: @vr__col-1;
        z-index: -1;
        .trans;
    }
    @media @mq--nophone {
        &:hover {
            color: @vr__col-2;
            input, button {
                color: @vr__col-2; 
            }
            &:before {
                .u-transform(translateX(5px));
            }
            &:after {
                height: 100%;
                top: -1px;
                bottom: initial;
            }
        }
    }
}

.o-btn--right {
    padding-right: 32px!important;

    &:after {
        left: -4px;
        width: calc(100% ~"-" 24px);
    }
    &:before {
        right: 5px;
        background-image: url('./wp-content/images/icn__arrow.svg');
    }
}

.o-btn--right--white {
    .o-btn--right;
    &:after {
        left: -4px;
        width: calc(100% ~"-" 24px);
    }
    &:before {
        background-image: url('./wp-content/images/icn__arrow--white.svg');
    }
}

// DETTAGLI GRAFICI
.o-underline {
    position: relative;
    display: inline-block;
    &:after {
        position: absolute;
        content: '';
        display: block;
        width: 20px;
        height: 1px;
        bottom: 0;
        left: -10px;
        background-color: @vr__col-1;
    }
}
.o-underline--center {
    .o-underline;
    &:after {
        left: 50%;
        margin-left: -10px
    }
}